package main

import (
	"encoding/json"
	"fmt"
)

type Person struct {
	FirstName  string
	LastName   string
	MiddleName string
	isBoy      bool
}

func main() {
	p := Person{
		FirstName:  "xie",
		LastName:   "xianbin",
		MiddleName: "",
		isBoy:      false,
	}
	bs, err := json.Marshal(p)
	if err != nil {
		fmt.Println(err.Error())
		return
	}
	// isBoy 是非公开的，不能被序列化
	fmt.Println(string(bs)) // {"FirstName":"xie","LastName":"xianbin","MiddleName":""}
}

// *Output*
// &{John Smith }
// {"first_name":"John","last_name":"Smith"}
